# Interface IExceptionAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface IExceptionAttribute extends IClassFileAttribute
Description of a constant value attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getExceptionIndexes()`
Answer back the exception indexes of the exception attribute.
`char[][]`
`getExceptionNames()`
Answer back the exception names of the exception attribute.
`int`
`getExceptionsNumber()`
Answer back the number of exceptions of the exception attribute.

### Methods inherited from interface IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getExceptionsNumber

int getExceptionsNumber()
Answer back the number of exceptions of the exception attribute.

Returns:
  the number of exceptions of the exception attribute

### getExceptionNames

char[][] getExceptionNames()
Answer back the exception names of the exception attribute. Answers an empty collection if none.

Returns:
  the exception names of the exception attribute. Answers an empty collection if none

### getExceptionIndexes

int[] getExceptionIndexes()
Answer back the exception indexes of the exception attribute. Answers an empty collection if none.

Returns:
  the exception indexes of the exception attribute. Answers an empty collection if none